using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a goblin corpse" )]
	public class GoblinWarrior : BaseCreature
	{
		[Constructable]
		public GoblinWarrior() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "goblin" );
			HiddenTitle = "the hobgoblin warrior";
			Body = 294;
			BaseSoundID = 0x5DA;
			Clan = Clan.Humanoid;

			SetStr( 85, 96 );
			SetDex( 45, 56 );
			SetInt( 18, 28 );

			SetHits( 65, 88 );

			SetDamage( 5, 14 );

			SetSkill( SkillName.MagicResist, 60.1, 85.0 );
			SetSkill( SkillName.Tactics, 65.1, 90.0 );
			SetSkill( SkillName.HandToHand, 60.1, 80.0 );

			Fame = 900;
			Karma = -900;

			VirtualArmor = 26;

			PackItem( new Buckler() );
			PackItem( new Scimitar() );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 1; } }

		public GoblinWarrior( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}